const fs = require('fs');
const { getProjectPath } = require('./utils');

let pkgInfo = {
  name: 'ui',
  version: '1.0.0'
};
try {
  const pkgPath = getProjectPath('/package.json');
  const pkgStr = fs.readFileSync(pkgPath);
  pkgInfo = JSON.parse(pkgStr);
} catch (e) {
  // eslint-disable-next-line no-console
  console.warn('The current project does not have a package.json file or content error!!!');
}

const configPath = getProjectPath('/config/app.config.js');

const config = require(configPath);

// 默认配置信息
const defaultConfig = {
  projectName: pkgInfo.name,
  projectVersion: pkgInfo.version,
  // start默认配置
  startDefaultPort: 3030,
  startOpenPath: '/',
  getStartEnvConfig: () => ({}),

  // hot ssr默认配置
  hotSsrDefaultPort: 9090,
  hotSsrOpenPath: '/',
  hotSsrRunPath: 'server/app.ts',
  hotSsrWatch: ['devPublic', 'devBuild', 'server'],
  getHotSsrEnvConfig: () => ({}),

  // build默认配置
  getBuildEnvConfig: () => ({}),
  // build ssr默认配置
  buildClientLoadableConfig: {
    filename: 'loadable-stats.json',
    writeToDiskFilename: '/build'
  },
  // html模板
  htmlPluginTemplate: '/index.html'
};

module.exports = {
  ...defaultConfig,
  ...config
};
