const { merge } = require('webpack-merge');
const MiniCssExtractPlugin = require('mini-css-extract-plugin');
const webpackCommon = require('../common/webpack.common');

module.exports = (appConfig, extendEnv, { isServer, isHotServer, isProd }) => {
  const result = {
    plugins: [],
    module: {
      rules: []
    }
  };
  if ((isProd || isHotServer) && !isServer) {
    result.plugins.push(
      new MiniCssExtractPlugin({
        // filename: isHotServer ? 'css/[name].css' : `css/[name].css?v=${env.version}`,
        // 采用AMP直接把css填充到html
        filename: isHotServer ? 'css/[name].css' : 'css/[name][contenthash:8].css'
      })
    );
  }

  return merge(webpackCommon(appConfig, extendEnv, { isProd, isServer, isHotServer }), result);
};
